@echo off
rem: RA-Lister v1.0 Installation File
rem: By Jason Raphael (1:284/22)

if "%RA%" == "" goto error1
if not exist %RA%\RA.EXE goto error2
if "%TXTFILES%" == "" goto error3
if "%1" == "" goto error4
if exist %1\lister.q-a ren %1\lister.q-a lister.old
if exist %RA%\MESSAGES.RDX goto 25X
goto 20X

:25X
cls
echo [30;1m [37;1mRA-Lister v1.0 Installation
echo.
echo [30;1m [37;1mRemoteAccess v2.5x detected.
echo.
echo [0;37mIf you are indeed running RemoteAccess v2.5x, please press any key now
echo to continue.  
echo.
echo If you are NOT running v2.5x, you for some reason have *.RDX files (RA 2.5x's 
echo index files) in your RemoteAccess directory.  These files are used ONLY by RA 
echo v2.5x, and should not be present with any other versions of RA.  Please press
echo CTRL-C now, go delete *.RDX files from your RA system directory, and rerun 
echo INSTALL.BAT.
echo.
pause >nul
cls
echo [30;1m [37;1mRA-Lister v1.0 Installation
echo.
echo [30;1m [37;1mCopying 2.5x enhanced version of RA-Lister to your Q-A directory..[0;30m
echo.
copy lister.25x %1\lister.q-a
echo [30;1m [37;1mCopying necessary batch files to your RA system directory..[0;30m
echo.
copy lister.bat %RA%
echo [30;1m [37;1mDone![0;37m
echo.
pause
goto info

:20X
cls
echo [30;1m [37;1mRA-Lister v1.0 Installation
echo.
echo [30;1m [37;1mRemoteAccess v2.0x detected.
echo.
echo [0;37mIf you are indeed running RemoteAccess v2.0x, please press any key now
echo to continue.  
echo.
echo If you are NOT running v2.0x, press CTRL-C now and see the RALISTER.DOC for 
echo more information.
echo.
pause >nul
cls
echo [30;1m [37;1mRA-Lister v1.0 Installation
echo.
echo [30;1m [37;1mCopying 2.0x enhanced version of RA-Lister to your Q-A directory..[0;30m
echo.
copy lister.20x %1\lister.q-a
echo [30;1m [37;1mCopying necessary batch files to your RA system directory..[0;30m
echo.
copy lister.bat %RA%
echo [30;1m [37;1mDone![0;37m
echo.
pause
goto info

:INFO
cls
echo [30;1m [37;1mRA-Lister v1.0 Installation
echo.
echo [0;37mThis installation procedure is completed.
echo.
echo All necessary files have been moved to their proper locations.  All you 
echo need to do is add the option to run RA-Lister in the menu(s) you'd like.
echo.
echo Please see RALISTER.DOC for complete details and more important information.
echo.
pause
goto end

:ERROR1
cls
echo.
echo [30;1m [37;1mRA-Lister ERROR:
echo   [0;37mRemoteAccess environment variable not set.  Please set the RA environment 
echo   variable to your RemoteAccess system path, or see RALISTER.DOC for more 
echo   information.  Ex: SET RA=D:\RA
echo.
echo  RA-Lister ERROR: >>d:\RALISTER.err
echo   RemoteAccess environment variable not set.  Please set the RemoteAccess environment >>d:\RALISTER.err
echo   variable to your RemoteAccess system path, or see RALISTER.DOC for more >>d:\RALISTER.err
echo   information.  Ex: SET RA=D:\RA >>d:\RALISTER.err
goto end

:ERROR2
cls
echo.
echo [30;1m [37;1mRA-Lister ERROR:
echo   [0;37mRemoteAccess environment variable set incorrectly.  Please set 
echo   the RA environment variable to your RemoteAccess system path, or see 
echo   RALISTER.DOC for more information.  Ex: SET RA=D:\RA
echo.
echo  RA-Lister ERROR: >>d:\RALISTER.err
echo   RemoteAccess environment variable set incorrectly.  Please set >>d:\RALISTER.err
echo   the RA environment variable to your RemoteAccess system path, or see >>d:\RALISTER.err
echo   RALISTER.DOC for more information.  Ex: SET RA=D:\RA >>d:\RALISTER.err
pause
goto end

:ERROR3
cls
echo.
echo [30;1m [37;1mRA-Lister ERROR:
echo   [0;37mTextfile variable not set.  Please set the TXTFILES environment 
echo   variable to your RemoteAccess textfile path, or see RALISTER.DOC for more 
echo   information.  Ex: SET TXTFILES=D:\RA\TXTFILES
echo.
echo  RA-Lister ERROR: >>d:\ralister.err
echo   Textfile variable not set.  Please set the TXTFILES environment >>d:\ralister.err
echo   variable to your RemoteAccess textfile path, or see RALISTER.DOC for more >>d:\ralister.err
echo   information.  Ex: SET TXTFILES=D:\RA\TXTFILES >>d:\ralister.err
goto end

:ERROR4
cls
echo.
echo [30;1m [37;1mRA-Lister ERROR:
echo   [0;37mQuestionnaire directory not specified.  Specify your RemoteAccess Q-A
echo   directory (as defined in RACONFIG) as the first parameter on the command
echo   line.  DO NOT INCLUDE A TRAILING BACKSLASH!  Ex: INSTALL D:\RA\Q-A
echo.
goto end


:END
echo.
echo [30;1m [37;1mThanks for trying RA-Lister v1.0![0;37m
echo.
